<template>
  <div
    class="min-w-screen bg-indigo-100 flex items-center p-14 overflow-hidden relative"
  >
    <div
      class="flex-1 min-h-full min-w-full rounded-3xl bg-white shadow-xl p-10 lg:p-20 text-gray-800 relative md:flex items-center text-center md:text-left"
    >
      <div class="w-full md:w-1/2">
        <div class="text-center mb-10 md:mb-20 text-gray-600 font-light">
          <h1
            class="font-black uppercase text-2xl lg:text-4xl text-indigo-700 mb-10"
          >
            {{ text }}
          </h1>
        </div>
        <div v-if="success" class="flex justify-center px-20 mb-20 md:mb-0">
          <router-link to="/login">
            <Button label="Connexion" />
          </router-link>
        </div>
      </div>
      <div :class="`flex justify-center w-full md:w-1/2 text-center text-${color}-600`">
        <font-awesome-icon
          :icon="icon"
          class="w-96 h-96"
          size="10x"
        />
      </div>
    </div>
    <div
      class="w-64 md:w-96 h-96 md:h-full bg-indigo-200 bg-opacity-30 absolute -top-64 md:-top-96 right-20 md:right-32 rounded-full pointer-events-none -rotate-45 transform"
    />
    <div
      class="w-96 h-full bg-indigo-200 bg-opacity-20 absolute -bottom-96 right-64 rounded-full pointer-events-none -rotate-45 transform"
    />
  </div>
</template>

<script>
import Button from "@/components/Button";

export default {
  name: "ValidateView",
  components: { Button },
  data() {
    return {
      icon: "",
      text: "",
      success: false,
      color: ""
    };
  },
  inject: ["user"],
  beforeMount() {
    this.user.validate(this.$route.params.token)
    .then( res => {
      if (res.status == 204) {
        this.icon = "door-open";
        this.color = "green";
        this.text = "Inscription confirmée";
        this.success = true;
      } else {
        this.icon = "ban";
        this.color = "red";
        this.text = "Token invalide";
      }
    });
  }
};
</script>

<style scoped></style>
